cwc - a cross compiler.

Copyright (C) 1999, 2000, 2001, 2002 by Lars Christensen.
Further modifications Copyright (C) 2008 by Mark Longair.

   http://mythic-beasts.com/~mark/software/cwc/

LICENSE INFORMATION

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
02111-1307, USA.

DOCUMENTATION

See the file cwc.6 formatted for use with the unix program
"man". Either install cwc.6 in /usr/local/man/man6/ and view it with
"man cwc" or view it directly with "man ./cwc.6" or "man -f ./cwc.6"
(depending on your version of "man").

HOW TO COMPILE

cwc should compile on most unices, but has only been tested on Linux
and Solaris. It requires GNU Make, a C++ compiler (g++) and the
Standard Template Library (STL) in order to compile.  The most exotic
functions cwc uses it times() which is also a part of the POSIX
standard so it should be no problem if you have a decent unix.

Run "make" to compile. If anything fails, you fix it. I haven't
included any scripts for installing cwc. If you really want to install
it for public use on your unix machine, put the binary (src/cwc) in
/usr/local/bin/ and the MANual file (cwc.6) in /usr/local/man/man6/.

cwc has been succesfully tested on Linux, Solaris and HPUX.
